[NEW FEATURE] node-red-contrib-queue-gate (version 1.5.0)

This update enhances the capability for persistence of the node state, first introduced in version 1.2.0. Previously, only the default context store was used when the Restore from state saved in option was enabled, so the state would not be preserved if that store were volatile. Now, if more than one context store is defined in the settings.js file, the user has the option of selecting which storage module is used and can select a non-volatile store if one is available.

Thanks to @Steve-Mcl for suggesting and helping to implement this feature.

This change is intended to be backward compatible with the previous version, so that users who do not want the new feature will not need to upgrade. Please report bugs or issues here or on GitHub.

1 Like